### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Class ServerFilter

java.lang.Object
com.sas.services.information.Filter
com.sas.services.information.metadata.ServerFilter

All Implemented Interfaces:
  `FilterInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class ServerFilter extends Filter

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SERVER_ANY`
  `static final int`
  `SERVER_DAV`
  `static final int`
  `SERVER_FTP`
  `static final int`
  `SERVER_GMS`
  `static final int`
  `SERVER_LDAP`
  `static final int`
  `SERVER_MDX`
  `static final int`
  `SERVER_MQX`
  `static final int`
  `SERVER_OMI`
  `static final int`
  `SERVER_STOREDPROCESS`
  `static final int`
  `SERVER_WORKSPACE`

  ### Fields inherited from class com.sas.services.information.Filter

  `_component`

  ### Fields inherited from interface com.sas.services.information.FilterInterface

  `BASE_SCOPE, FILTERCOMPONENT_UNSUPPORTED, FLAG_OVERRIDE, ONELEVEL_SCOPE, PROTOCOL_DAV, PROTOCOL_HIBERNATE, PROTOCOL_IPOD, PROTOCOL_LDAP, PROTOCOL_OMI, SUBTREE_SCOPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServerFilter()`
  `ServerFilter(String key, int relation, String value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDAVBasicSearchString()`
  Get the filter in the form of a DAV basicsearch XML request.
  `String`
  `getDAVSQLString()`
  Get the filter in the form of a DAV SQL request.
  `String`
  `getLDAPType()`
  `String`
  `getOMRType()`
  Get the OMR type.
  `List`
  `getProtocols()`
  Get the List of protocols that were set to be searched.
  `int`
  `getServerType()`
  `String`
  `getXMLSelectString()`
  Get the filter in the form of an XMLSelect statement.
  `void`
  `setServerType(int type)`

  ### Methods inherited from class com.sas.services.information.Filter

  `addProtocol, addSearchOption, component2JCRXPath, component2Select, getDAVBase, getDAVScope, getDAVType, getExplicitSearchString, getFilterComponent, getFilterString, getJCRType, getJCRXPathString, getName, getOMRFlags, getOMROption, getOMRRepository, getOMRSearchString, getOMRTemplate, getRdbmsTable, getSearchOptions, getType, getXPathString, removeProtocol, removeSearchOption, setDAVBase, setDAVScope, setExplicitSearchString, setFilterComponent, setName, setOMRFlags, setOMROption, setOMRRepository, setOMRTemplate, setProtocols, setRdbmsTable, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SERVER_ANY

    public static final int SERVER_ANY
    See Also:
      - Constant Field Values

  - ### SERVER_LDAP

    public static final int SERVER_LDAP
    See Also:
      - Constant Field Values

  - ### SERVER_OMI

    public static final int SERVER_OMI
    See Also:
      - Constant Field Values

  - ### SERVER_DAV

    public static final int SERVER_DAV
    See Also:
      - Constant Field Values

  - ### SERVER_WORKSPACE

    public static final int SERVER_WORKSPACE
    See Also:
      - Constant Field Values

  - ### SERVER_STOREDPROCESS

    public static final int SERVER_STOREDPROCESS
    See Also:
      - Constant Field Values

  - ### SERVER_MDX

    public static final int SERVER_MDX
    See Also:
      - Constant Field Values

  - ### SERVER_GMS

    public static final int SERVER_GMS
    See Also:
      - Constant Field Values

  - ### SERVER_MQX

    public static final int SERVER_MQX
    See Also:
      - Constant Field Values

  - ### SERVER_FTP

    public static final int SERVER_FTP
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ServerFilter

    public ServerFilter()

  - ### ServerFilter

    public ServerFilter(String key, int relation, String value)

- ## Method Details

  - ### getOMRType

    public String getOMRType()
    Description copied from class: `Filter`
    Get the OMR type. Return the type by default. subclasses may override this to return a different string. This method is mostly for use by the OMIRepository class.

    Specified by:
      `getOMRType` in interface `FilterInterface`
    Overrides:
      `getOMRType` in class `Filter`
    Returns:
      The OMR specific type to search for.

  - ### getLDAPType

    public String getLDAPType()

  - ### setServerType

    public void setServerType(int type)

  - ### getServerType

    public int getServerType()

  - ### getXMLSelectString

    public String getXMLSelectString()
    Description copied from class: `Filter`
    Get the filter in the form of an XMLSelect statement.

    Specified by:
      `getXMLSelectString` in interface `FilterInterface`
    Overrides:
      `getXMLSelectString` in class `Filter`
    Returns:
      An XMLSelect string to pass to OMR.

  - ### getDAVBasicSearchString

    public String getDAVBasicSearchString()
    Description copied from class: `Filter`
    Get the filter in the form of a DAV basicsearch XML request. This is described in the WebDAV SEARCH proposal.

    Specified by:
      `getDAVBasicSearchString` in interface `FilterInterface`
    Overrides:
      `getDAVBasicSearchString` in class `Filter`
    Returns:
      An XML basicsearch request to pass to a DAV server.

  - ### getDAVSQLString

    public String getDAVSQLString()
    Description copied from class: `Filter`
    Get the filter in the form of a DAV SQL request. This is aimed at the Microsoft servers - Internet Information Server, SharePoint Portal Server and Exchange server.

    Specified by:
      `getDAVSQLString` in interface `FilterInterface`
    Overrides:
      `getDAVSQLString` in class `Filter`
    Returns:
      An XML DAV SQL request to pass to a DAV server.

  - ### getProtocols

    public List getProtocols()
    Description copied from interface: `FilterInterface`
    Get the List of protocols that were set to be searched.
    Specified by:
      `getProtocols` in interface `FilterInterface`
    Overrides:
      `getProtocols` in class `Filter`
    Returns:
      A List of protocol Strings.